Bug 856485 - Support Postgres 9.2
Support Postgres 9.2
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Database (Show other bugs)
JON 3.1.2
Unspecified Unspecified
high Severity high
: CR01
: JON 3.2.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 856484
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 02:45 EDT by Heiko W. Rupp
Modified: 2014-09-02 10:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 856484
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Server_log (12.46 KB, text/x-log)
2012-10-04 09:58 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Heiko W. Rupp 2012-09-12 02:45:39 EDT
+++ This bug was initially created as a clone of Bug #856484 +++

Postgres 9.2 is out, but not yet supported by RHQ.

We need to support that, especially as it has speed advantages over earlier versions
Comment 1 Heiko W. Rupp 2012-09-12 11:31:56 EDT
master commit is 30c79967d069c9
Comment 2 Mike Foley 2012-10-04 09:51:46 EDT
setting the priority of this to HIGH, HIGH
setting target release to JON 3.1.2
Comment 3 Sunil Kondkar 2012-10-04 09:57:27 EDT
Adding details of testing Postgres 9.2 on JON 3.1.1 GA build.

Installed Postgres 9.2.
Clean install of JON 3.1.1 GA.
Started server and provided the database details on the installer page.

When i clicked 'Test Connection' button, The server log displayed below:

2012-10-04 18:44:15,285 WARN [org.rhq.enterprise.installer.ConfigurationBean?] Installer failed to test connection
java.lang.Exception: Unknown or unsupported database: name=[postgresql], version=[9.2.0]

I am attaching the server log for details.
Comment 4 Sunil Kondkar 2012-10-04 09:58:12 EDT
Created attachment 621671 [details]
Server_log
Comment 5 Charles Crouch 2012-10-30 17:37:33 EDT
There appears to be some confusion with this issue. Postgres 9.2 support was added into RHQ4.5.0 so testing with JON311 (which was branched off of RHQ4.4) is guaranteed to fail. I'm going to move this issue back to the RHQ project where it belongs. If PM wants to add support for Postgres9.2 in a future JON then they can clone this issue back into the JBoss Operations Network Product bugzilla to make sure it gets QE'd in the appropriate release.

If anyone has any concerns, please shout. All the involved parties are on the cc: list
Comment 7 Mike Foley 2013-09-13 13:52:40 EDT
QE verified

https://engineering.redhat.com/trac/jon/ticket/314

Note You need to log in before you can comment on or make changes to this bug.